local EC = require("design.Encounter")
local thisLevel, Area_0_Encounter_0
function OnScriptLoaded(level, obj)
  thisLevel = level
  game.SubObject.Sleep(obj)
  game.SubObject.SetForgetOnCheckpoint(obj)
end
function Area_0_Fight_0()
  Area_0_Encounter_0 = EC.NewEncounter(thisLevel, "[Area 3]EC:1 Fight XPL400", {CheckpointOnComplete = true})
  Area_0_Encounter_0:AddWave({
    prioritizeOnScreenSpawners = true,
    timeBetweenWaves = 1.53,
    {
      spawners = "__Flyer_Spawner",
      spawnLocators = "A0_O_Loc_02",
      useSpawnLocatorsOnly = true,
      maxActive = 1,
      totalSpawns = 1,
      spawnCooldown = 0.8
    },
    {
      spawners = "__Flyer_Spawner",
      spawnLocators = "A0_O_Loc_02",
      useSpawnLocatorsOnly = true,
      maxActive = 1,
      totalSpawns = 1,
      spawnCooldown = 1.8
    }
  })
  Area_0_Encounter_0:AddWave({
    prioritizeOnScreenSpawners = true,
    {
      spawners = "__Flyer_Spawner",
      spawnLocators = "A0_O_Loc_01",
      useSpawnLocatorsOnly = true,
      maxActive = 1,
      totalSpawns = 1,
      spawnCooldown = 0.8
    },
    {
      spawners = "__Flyer_Spawner",
      spawnLocators = "A0_O_Loc_02",
      useSpawnLocatorsOnly = true,
      maxActive = 1,
      totalSpawns = 1,
      spawnCooldown = 0.1
    },
    {
      spawners = "__Flyer_Spawner",
      spawnLocators = "A0_O_Loc_03",
      useSpawnLocatorsOnly = true,
      maxActive = 1,
      totalSpawns = 1,
      spawnCooldown = 1.8
    }
  })
  Area_0_Encounter_0:SetStartZone(GameObjects.EntZn_Arena_0_Encounter_Attack)
end
